using System;
using System.Collections;
using Server.Misc;
using Server.Items;
using Server.Targeting;

namespace Server.Mobiles
{
	[CorpseName( "a dwarven corpse" )]
	public class DwarfWarrior : BaseCreature
	{
		[Constructable]
		public DwarfWarrior() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = NameList.RandomName( "dwarf" );
			HiddenTitle = "the dwarven warrior";
			Body = 287;
			BaseSoundID = 0x5FB;
			Clan = Clan.Humanoid;

			SetStr( 111, 145 );
			SetDex( 101, 135 );
			SetInt( 86, 110 );

			SetHits( 67, 87 );

			SetDamage( 5, 15 );

			SetSkill( SkillName.MagicResist, 70.1, 85.0 );
			SetSkill( SkillName.Swords, 70.1, 95.0 );
			SetSkill( SkillName.Tactics, 85.1, 100.0 );

			Fame = 2500;
			Karma = -2500;

			VirtualArmor = 34;

			switch ( Utility.Random( 5 ) )
			{
				case 0: PackItem( new RingmailChest() ); break;
				case 1: PackItem( new RingmailLegs() ); break;
				case 2: PackItem( new RingmailArms() ); break;
				case 3: PackItem( new RingmailGloves() ); break;
				case 4: PackItem( new CloseHelm() ); break;
			}

			PackItem( new BattleAxe() );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Meager, 2 );
		}

		public override bool CanRummageCorpses{ get{ return true; } }
		public override int Meat{ get{ return 1; } }

		public override int GetIdleSound()
		{
			return Utility.RandomList( 0x41D, 0x41F, 0x420, 0x42E, 0x442, 0x444, 0x448 );
		}

		public DwarfWarrior( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}